%define	upstream_name	 GTop
%define	upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Perl interface to libgtop
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MJ/MJH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: libgtop2.0-devel
BuildRequires: perl-devel
Requires:   perl

%{?perl_default_filter}

%description
GTop is a Perl interface to libgtop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files 
%doc Changes META.yml MYMETA.yml README TODO examples
%{perl_vendorarch}/config.pl
%{perl_vendorarch}/GTop*
%{perl_vendorarch}/auto/GTop
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.180.0-14pclos2017
- rebuild against updates

